View Issue Details

IDProjectCategoryView StatusLast Update
0009293ScribusUser Interfacepublic2015-04-25 00:29
Reporteryazid_next Assigned Tocbradney  
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformApple Intel Core 2 DuoOSMac OS XOS Version10.5.8
Product Version1.3.7 
Target VersionFixed in Version1.3.9.svn 
Summary0009293: Properties Panel / Palette does not appear
DescriptionI just installed Scribus 1.3.7 on my Mac OS X. It is impossible to launch/view the properties window/palette. Neither through F2 key or through Window/Properties panel.

I have a french version of Scribus.

I did try the 1.3.8 version, idem.

==============

this issue has been fixed for 1.3.9 (and 1.4)

until 1.3.9 is released, you can go through the following steps to get the PP to work on Mac OS X:

1) Quit Scribus
2) Open the preferences file in TextEdit
   Home> Library> Preferences> Scribus> prefs135.xml
   (path: ~/Library/Preferences/Scribus/prefs135.xml )
3) search for the line containing
            <context name="PropertiesPalette">
4) Change any negative values for 'left' and 'top' to positive ones
   e.g.
            <attribute key="left" value="100"/>
            <attribute key="top" value="100"/>
5) restart Scribus
TagsNo tags attached.
Patch

Relationships

has duplicate 0009325 closedcbradney Properties dialog (F2) is not visible 
has duplicate 0009348 closedjghali impossible to view properties window 
has duplicate 0009493 closedjghali Properties Panel/ Window does not open 
related to 0009297 new button for resetting the palettes' placement 

Activities

yazid_next

2010-07-24 17:12

reporter   ~0024369

I try to check the Console for some error, the last message is :

"Fontconfig error: Cannot load default config file"

yazid_next

2010-07-24 21:20

reporter   ~0024370

Finally, I got the answer and the solution : the pref135.xml file was wrong.

<context name="PropertiesPalette">
            <attribute key="height" value="600"/>
            <attribute key="left" value="-300"/>
            <attribute key="top" value="64"/>
            <attribute key="visible" value="1"/>
            <attribute key="width" value="300"/>
        </context>

When I changed "left" from -300 to 300 everything went ok.

By the way, I did not find anywhere in the doc that the preference file, under MAC, is located in : /Users/%user%/Library/Preferences/Scribus instead of what it is writter : /Users/.scribus/

cbradney

2010-07-28 21:59

administrator   ~0024400

Where did you see that preferences would be in .scribus ?

http://docs.scribus.net/index.php?lang=en&page=install4 indicates they will be in /Users/username/Library/Preferences/Scribus on Mac OS X

yazid_next

2010-07-29 17:11

reporter   ~0024409

Here : http://bugs.scribus.net/print_bug_page.php?bug_id=2881

cbradney

2010-07-29 18:23

administrator   ~0024410

That bug is not documentatition.. and is aaaaaaaaaages old and was closed aaaaaaages ago

cbradney

2010-07-30 21:28

administrator   ~0024417

We seem to have been checking for top/right/width and height, but not if the palette was to the left of the screen.. fixed in svn now

Issue History

Date Modified Username Field Change
2010-07-24 16:47 yazid_next New Issue
2010-07-24 17:12 yazid_next Note Added: 0024369
2010-07-24 21:20 yazid_next Note Added: 0024370
2010-07-26 20:03 ale Relationship added related to 0009297
2010-07-28 21:59 cbradney Note Added: 0024400
2010-07-29 17:11 yazid_next Note Added: 0024409
2010-07-29 18:23 cbradney Note Added: 0024410
2010-07-30 21:28 cbradney Note Added: 0024417
2010-07-30 21:28 cbradney Status new => resolved
2010-07-30 21:28 cbradney Fixed in Version => 1.3.9.svn
2010-07-30 21:28 cbradney Resolution open => fixed
2010-07-30 21:28 cbradney Assigned To => cbradney
2010-08-10 20:51 cbradney Status resolved => closed
2010-08-18 16:49 cbradney Relationship added has duplicate 0009325
2010-08-19 07:21 ale Description Updated View Revisions
2010-09-05 23:29 jghali Relationship added has duplicate 0009348
2010-11-16 22:27 jghali Relationship added has duplicate 0009493